### Property

# Vte Terminal:encoding

deprecated: 0.54

#### Declaration

    property encoding: utf8 [ read, write ]

#### Description [src]

Controls the encoding the terminal will expect data from the child to be encoded with. For certain terminal types, applications executing in the terminal can change the encoding. The default is defined by the application’s locale settings.

Type:`gchar*`

Deprecated since: 0.54

Instead of using this, you should use a tool like luit(1) when support for non-UTF-8 is required.

Default value | NULL
Getter method | `vte_terminal_get_encoding()`
Setter method | `vte_terminal_set_encoding()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no